summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorfelixonmars <felixonmars@9fca08f4-af9d-4005-b8df-a31f2cc04f65>2019-11-24 15:50:39 +0000
committerfelixonmars <felixonmars@9fca08f4-af9d-4005-b8df-a31f2cc04f65>2019-11-24 15:50:39 +0000
commitb76064aafc139d1c34ce7f086cac480f1fa53801 (patch)
tree6a09c4c90709dba6baa05c3314f251d323835edc
parent01bfa819282e24a0fdf17d7dbc53bdd973c1c5f2 (diff)
archrelease: copy trunk to community-staging-x86_64
git-svn-id: file:///srv/repos/svn-community/svn@533068 9fca08f4-af9d-4005-b8df-a31f2cc04f65
-rw-r--r--haskell-hakyll/repos/community-staging-x86_64/PKGBUILD56
1 files changed, 56 insertions, 0 deletions
diff --git a/haskell-hakyll/repos/community-staging-x86_64/PKGBUILD b/haskell-hakyll/repos/community-staging-x86_64/PKGBUILD
new file mode 100644
index 00000000000..231d26dbae0
--- /dev/null
+++ b/haskell-hakyll/repos/community-staging-x86_64/PKGBUILD
@@ -0,0 +1,56 @@
+# Maintainer: Felix Yan <felixonmars@archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell@haskell.org>
+
+_hkgname=hakyll
+pkgname=haskell-hakyll
+pkgver=4.12.5.2
+pkgrel=128
+pkgdesc="A static website compiler library"
+url="https://jaspervdj.be/hakyll"
+license=("BSD")
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-blaze-html' 'haskell-blaze-markup' 'haskell-cryptohash'
+ 'haskell-data-default' 'haskell-file-embed' 'haskell-fsnotify' 'haskell-http-conduit'
+ 'haskell-http-types' 'haskell-lrucache' 'haskell-network-uri'
+ 'haskell-optparse-applicative' 'pandoc' 'pandoc-citeproc' 'haskell-random'
+ 'haskell-regex-tdfa' 'haskell-resourcet' 'haskell-scientific' 'haskell-tagsoup'
+ 'haskell-time-locale-compat' 'haskell-unordered-containers' 'haskell-vector'
+ 'haskell-wai' 'haskell-wai-app-static' 'haskell-warp' 'haskell-yaml')
+makedepends=('ghc' 'haskell-quickcheck' 'haskell-tasty' 'haskell-tasty-hunit'
+ 'haskell-tasty-quickcheck')
+source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
+sha512sums=('715324fa19b85e8f39e33b4d5082a04f40fc667737b41117da68a6a0eedad288a551929fa2eea636dd421d4d416996125ff9d83752c7daaf64ecc191e9790469')
+
+prepare() {
+ cd $_hkgname-$pkgver
+ sed -i -e 's/< *2.13/<3/' -e 's/< *3.3/<4/' $_hkgname.cabal
+}
+
+build() {
+ cd $_hkgname-$pkgver
+
+ runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+ --prefix=/usr --docdir=/usr/share/doc/$pkgname --datasubdir="$pkgname" --enable-tests \
+ --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid \
+ -fcheckexternal -fwatchserver -fpreviewserver -fusepandoc
+ runhaskell Setup build
+ runhaskell Setup register --gen-script
+ runhaskell Setup unregister --gen-script
+ sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+ sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+ cd $_hkgname-$pkgver
+ LC_CTYPE=en_US.UTF-8 runhaskell Setup test || warning "https://github.com/jaspervdj/hakyll/issues/682"
+}
+
+package() {
+ cd $_hkgname-$pkgver
+
+ install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
+ install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+ runhaskell Setup copy --destdir="$pkgdir"
+ install -D -m644 "LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+ rm -f "${pkgdir}/usr/share/doc/${pkgname}/LICENSE"
+}